org.jCharts.chartData

## Class AxisChartDataSet

- java.lang.Object
- - org.jCharts.chartData.DataSet
  - - org.jCharts.chartData.AxisChartDataSet

All Implemented Interfaces:
  Serializable, IAxisChartDataSet, IAxisPlotDataSet, IData, IDataSet, HTMLTestable

    public final class AxisChartDataSet
    extends DataSet
    implements IAxisChartDataSet, HTMLTestable

See Also:
  Serialized Form

### Field Summary

Fields
`private ChartType` `chartType`

### Fields inherited from class org.jCharts.chartData.DataSet

`data, legendLabels, paints`

### Constructor Summary

Constructors
Constructor and Description
`AxisChartDataSet(double[][] data, String[] legendLabels, Paint[] paints, ChartType chartType, ChartTypeProperties chartTypeProperties)` Constructor

### Method Summary

Methods
`ChartType` `getChartType()` Returns the type constant that this data set should be plotted as.
`int` `getNumberOfDataSets()` Returns the number of IAxisChartDataSet Objects in this series
`double` `getValue(int dataset, int index)` Returns the value in the data set at the specified position.
`void` `toHTML(HTMLGenerator htmlGenerator)` Enables the testing routines to display the contents of this Object.
`void` `validate()` Performs a limited validation of data.

### Methods inherited from class org.jCharts.chartData.DataSet

`getChartTypeProperties, getLegendLabel, getNumberOfDataItems, getNumberOfLegendLabels, getPaint`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jCharts.chartData.interfaces.IDataSet

`getChartTypeProperties, getLegendLabel, getNumberOfDataItems, getNumberOfLegendLabels, getPaint`

### Field Detail

#### chartType

    private ChartType chartType

### Constructor Detail

#### AxisChartDataSet

    public AxisChartDataSet(double[][] data,
                    String[] legendLabels,
                    Paint[] paints,
                    ChartType chartType,
                    ChartTypeProperties chartTypeProperties)
                     throws ChartDataException

Constructor

Parameters:
  `data` - the data sets to be displayed in the chart.
  `legendLabels` - if this is: NULL there will be no Legend. Otherwise, there must be an one to one mapping of labels to data sets.
  `paints` - paints to use for the data sets. There must be an one to one mapping of labels to data sets.
  `chartType` - constant defining how this data should be rendered
  `chartTypeProperties` - properties Object specific to the type of chart you are rendering.
Throws:
  `ChartDataException` - if data is not in correct form.

### Method Detail

#### validate

    public void validate()
                  throws ChartDataException,
                         PropertyException

Performs a limited validation of data. This is static and not called by the rendering engine so as to avoid the, albeit small, cost of validation checking during deployment; this is viewed more so as a development time test.

Specified by:
  `validate` in interface `IAxisPlotDataSet`
Throws:
  `ChartDataException`
  `PropertyException`

#### getValue

    public final double getValue(int dataset,
                  int index)
                          throws ArrayIndexOutOfBoundsException

Returns the value in the data set at the specified position.

Specified by:
  `getValue` in interface `IAxisChartDataSet`
Parameters:
  `dataset` -
  `index` -
Returns:
  double
Throws:
  `ArrayIndexOutOfBoundsException`

#### getChartType

    public final ChartType getChartType()

Returns the type constant that this data set should be plotted as.

Specified by:
  `getChartType` in interface `IAxisPlotDataSet`
Returns:
  ChartType
See Also:
  `ChartType`

#### getNumberOfDataSets

    public final int getNumberOfDataSets()

Returns the number of IAxisChartDataSet Objects in this series

Specified by:
  `getNumberOfDataSets` in interface `IAxisPlotDataSet`
Returns:
  int

#### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

Enables the testing routines to display the contents of this Object.

Specified by:
  `toHTML` in interface `HTMLTestable`
Overrides:
  `toHTML` in class `DataSet`
Parameters:
  `htmlGenerator` -